<?php


namespace App\Classes\Modules\Orders\Standards\Rules;

use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\Orders\DataTransferObjects\OrderObject;


class CanListOrders extends AbstractRule
{
    /**
     * @return bool
     */
    protected function authorized(): bool
    {
        // TODO  Set Authorization rules
        return true;

    }

    /**
     * @param BookingObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;

    }

    /**
     * @param BookingObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }
}
